VERSION 5.00
Begin VB.Form frmTip 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Tip of the Day"
   ClientHeight    =   3285
   ClientLeft      =   2355
   ClientTop       =   2385
   ClientWidth     =   5415
   Icon            =   "frmTip.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3285
   ScaleWidth      =   5415
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   WhatsThisHelp   =   -1  'True
   Begin VB.CheckBox chkLoadTipsAtStartup 
      Caption         =   "&Show Tips at Startup"
      Height          =   315
      Left            =   120
      TabIndex        =   5
      Top             =   2940
      Width           =   2055
   End
   Begin VB.CommandButton cmdNextTip 
      Caption         =   "&Next Tip"
      Height          =   375
      Left            =   4080
      TabIndex        =   4
      Top             =   600
      Width           =   1215
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   2715
      Left            =   120
      Picture         =   "frmTip.frx":0E42
      ScaleHeight     =   2655
      ScaleWidth      =   3675
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   120
      Width           =   3735
      Begin VB.Label Label1 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Today's Tip is..."
         Height          =   255
         Left            =   540
         TabIndex        =   1
         Top             =   180
         Width           =   2655
      End
      Begin VB.Label lblTipText 
         BackColor       =   &H00FFFFFF&
         Height          =   1995
         Left            =   180
         TabIndex        =   2
         Top             =   600
         Width           =   3375
      End
   End
   Begin VB.CommandButton cmdOK 
      Cancel          =   -1  'True
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   4080
      TabIndex        =   3
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "frmTip"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
    '******* 01.60a Start *******
'    ' The in-memory "database" of tips.
'    Private Tips As New Collection
'    ' Name of tips file
'    Private Const TIP_FILE = "TIPOFDAY.TXT"
Private mintTipCount As Integer
    '******* 01.60a End *********

Public Sub Display()

    Me.Show vbModal, frmDisplay

End Sub


Private Sub DoNextTip()

    ' Cycle through the Tips in order
    gintCurrentTip = gintCurrentTip + 1
    '******* 01.60a Start *******
'    If Tips.Count < gintCurrentTip Then
    If mintTipCount < gintCurrentTip Then
    '******* 01.60a End *********
        gintCurrentTip = 1
    End If
    
    ' Show it.
    DisplayCurrentTip
    
End Sub

'******* 01.60a Start *******
'Private Function LoadTips(sFile As String) As Boolean
'    Dim NextTip As String   ' Each tip read in from file.
'    Dim InFile As Integer   ' Descriptor for file.
'
'    ' Obtain the next free file descriptor.
'    InFile = FreeFile
'
'    ' Make sure a file is specified.
'    If sFile = "" Then
'        LoadTips = False
'        Exit Function
'    End If
'
'    ' Make sure the file exists before trying to open it.
'    If Dir(sFile) = "" Then
'        LoadTips = False
'        Exit Function
'    End If
'
'    ' Read the collection from a text file.
'    Open sFile For Input As InFile
'    While Not EOF(InFile)
'        Line Input #InFile, NextTip
'        Tips.Add NextTip
'    Wend
'    Close InFile
'
'    DoNextTip
'
'    LoadTips = True
'
'End Function
'******* 01.60a End *********

Private Sub chkLoadTipsAtStartup_Click()
    ' Save whether or not this form should be displayed at startup

    Select Case chkLoadTipsAtStartup.Value
        Case 0
            frmDisplay.mnuTips.Checked = False
            SaveSetting App.EXEName, "Options", "Show Tips at Startup", False
        Case Else
            frmDisplay.mnuTips.Checked = True
            SaveSetting App.EXEName, "Options", "Show Tips at Startup", True
    End Select

End Sub

Private Sub cmdNextTip_Click()
    DoNextTip
End Sub

Private Sub cmdOK_Click()
    
    '******* 01.30c Start *******
'    SaveSetting App.EXEName, "Defaults", "Last Tip", CStr(gintCurrentTip)
    '******* 01.30c End *********
    
    Unload Me
End Sub

Private Sub Form_Load()

    ' Set the checkbox, this will force the value to be written back out to the registry
   chkLoadTipsAtStartup.Value = vbChecked
    
    '******* 01.60a Start *******
'    ' Read in the tips file
'    If LoadTips(App.Path & "\" & TIP_FILE) = False Then
'        lblTipText.Caption = "Your Tip file (" & TIP_FILE & ") was not found." & vbCrLf & vbCrLf & _
'           "It should be in " & App.Path
'    End If
    mintTipCount = LoadResString(1)
    DoNextTip
    '******* 01.60a End *********
    
End Sub

Public Sub DisplayCurrentTip()

    '******* 01.60a Start *******
'    If Tips.Count > 0 Then
    If mintTipCount > 0 Then
    '******* 01.60a End *********
        If gintCurrentTip = 0 Then
            '******* 01.60a Start *******
'            lblTipText.Caption = "Welcome to Release " & App.Major & "." & App.Minor _
'                               & " of the " & App.EXEName & "!" _
'                               & vbCrLf & vbCrLf _
'                               & "These Tips contain some useful information that you " _
'                               & "may want show at startup for a while. If " _
'                               & "you decide to stop showing them and then later change your " _
'                               & "mind, you can show them again by " _
'                               & "checking the " & Replace(frmDisplay.mnuTips.Caption, "&", "") _
'                               & " sub-menu in the " & Replace(frmDisplay.mnuOptions.Caption, "&", "") _
'                               & " menu."
            lblTipText.Caption = ResolveResString(2, "|1", Replace(frmDisplay.mnuTips.Caption, "&", ""), _
                                                     "|2", Replace(frmDisplay.mnuOptions.Caption, "&", ""))
            '******* 01.60a End *********
        Else
            '******* 01.60a Start *******
'            lblTipText.Caption = Tips.Item(gintCurrentTip)
            lblTipText.Caption = LoadResString(gintCurrentTip + 100)
            '******* 01.60a End *********
        End If
    
    End If
End Sub
Function ResolveResString(ByVal resID As Integer, ParamArray vReplacements() As Variant) As String
'-----------------------------------------------------------
' FUNCTION: ResolveResString
' Reads resource and replaces given macros with given values
'
' Example, given a resource number 14:
'    "Could not read '|1' in drive |2"
'   The call
'     ResolveResString(14, "|1", "TXTFILE.TXT", "|2", "A:")
'   would return the string
'     "Could not read 'TXTFILE.TXT' in drive A:"
'
' IN: [resID] - resource identifier
'     [vReplacements] - pairs of macro/replacement value
'-----------------------------------------------------------
'
    Dim intMacro As Integer
    Dim strResString As String
    Dim strMacro As String
    Dim strValue As String
    Dim intPos As Integer
    
    strResString = LoadResString(resID)
    
    ' For each macro/value pair passed in...
    For intMacro = LBound(vReplacements) To UBound(vReplacements) Step 2
        
        strMacro = vReplacements(intMacro)
        On Error GoTo MismatchedPairs
        strValue = vReplacements(intMacro + 1)
        On Error GoTo 0
        
        ' Replace all occurrences of strMacro with strValue
        Do
            intPos = InStr(strResString, strMacro)
            If intPos > 0 Then
                strResString = Left$(strResString, intPos - 1) & strValue & Right$(strResString, Len(strResString) - Len(strMacro) - intPos + 1)
            End If
        Loop Until intPos = 0
    Next intMacro
    
    ResolveResString = strResString
    
    Exit Function
    
MismatchedPairs:
    Resume Next
End Function

Private Sub Form_Unload(Cancel As Integer)

    Set frmTip = Nothing
    '******* 01.30c Start *******
    SaveSetting App.EXEName, "Defaults", "Last Tip", CStr(gintCurrentTip)
    '******* 01.30c End *********

End Sub

